叶子爱举铁的个人空间 https://blog.eetop.cn/1798294 [收藏] [复制] [分享] [RSS]

空间首页 动态 记录 日志 相册 主题 分享 留言板 个人资料

日志

环境配置经验总结

热度 17已有 1707 次阅读| 2023-2-16 22:56 |系统分类:人工智能

Quartus+Gvim+modelsim环境配置详见MDY教材,这里不细说

平时用vscode写verilog,如何配置环境详见:https://blog.csdn.net/qq_38376586/article/details/125683633 

                                                                      https://mp.weixin.qq.com/s/F3L7ZVRkAQCutiTieccHAQ

参考这两篇文章跟着做应该能搞定,跟着做如果遇到vscode无法自动调用iverilog检错问题,参考:https://blog.csdn.net/weixin_42193451/article/details/127799939


还有TerosHDL调用iverilog检错很烦,你想把它关掉,参考https://blog.eetop.cn/blog-1798294-6951536.html  第32条

java环境配置:https://blog.csdn.net/LEON1741/article/details/90258255

Py环境配置一般不直接下Python,可以下Anaconda,Anaconda由conda发展而来,是python的一个发行版,下载Anaconda不但可以配置好Python环境 ,而且顺便还能把常用的第三方库装好,还有包管理功能,所以配Anaconda就好,安装流程参考:https://zhuanlan.zhihu.com/p/75717350

如果我们还要使用Pytorch,我们还得在此基础之上安装Pytorch,首先我们要确保自己的独立显卡能正常使用,即鼠标右键桌面,可以打开NVDIA控制面板(默认用的是NVIDA的产品),然后打开控制面板-系统信息-组件,看NVCUDA.DLL那一行的信息可以得知你的显卡支持的CUDA最高的版本是多少,CUDA是一种GPU计算的硬件和软件架构,我们安装CUDA其实就是配置一种CUDA环境,Pytorch用GPU跑模型需要这种环境,所以我们要选择合适的CUDA环境,一般装CUDA环境要装CUDA环境和CUDNN环境,现在网上的CUDA环境一般是CUDAtoolkit,已经集成了CUDNN,所以装这个就行,在cmd中输入nvcc -V查看是否成功安装CUDA

也可以在cmd中使用nvidia-smi命令来查看GPU资源,看看GPU用的驱动是什么版本,支持什么CUDA是由驱动版本决定的,使用nvidia-smi命令需要配置环境,详解:https://blog.csdn.net/m0_37605642/article/details/123908737

Pytorch安装详解:https://www.bilibili.com/video/BV1Rz411e7eJ/?vd_source=372741ef78cf58d5c294db188e009004

                             https://blog.csdn.net/weixin_44904136/article/details/123285884?utm_medium=distribute.pc_relevant.none-task-blog-2~default~baidujs_baidulandingword~default-0-123285884-blog-124681233.pc_relevant_landingrelevant&spm=1001.2101.3001.4242.1&utm_relevant_index=3


中间嫌下载慢还有一些换源操作,网上多的很,自己搜一搜

pip install和conda install区别:https://www.zhihu.com/question/395145313/answer/1257660174


总结:显卡决定显卡驱动版本,显卡驱动版本决定CUDA版本,CUDA版本决定Pytorch版本,Pytorch版本决定Python版本,Python版本决定Anaconda版本,这中间有一个版本对不上都不行。

像我用的是老显卡,只支持CUDA9.0,所以我要在这些官网上翻历史版本,很烦躁。

我的安装参考这篇帖子:https://blog.csdn.net/weixin_44065416/article/details/128656420

Anaconda和python版本对应关系:https://www.pianshen.com/article/75301252538/

大致过程就是我搞清楚了我到底该装什么版本,然后去官网翻版本,下载安装配置环境变量都是基本操作,安装pytorch还涉及换源问题,使用conda方式老是安不上pytorch,最后是在Anaconda Prompt里面输入pip install pytorch就直接成功了,直接给我找了一个适配我CUDA版本和Python版本的Pytorch,所以总算安装好了,中间这些环境配置的网页我已经离线至E盘文件夹


由于我的显卡老导致CUDA版本老,导致pytorch版本老,导致python版本老,只能用3.6,而vscode最新版本的python插件已经不支持3.7以下的版本了,所以这里要注意安装历史版本的插件




7

点赞

刚表态过的朋友 (7 人)

全部作者的其他最新日志

评论 (0 个评论)

facelist

您需要登录后才可以评论 登录 | 注册

  • 关注TA
  • 加好友
  • 联系TA
  • 0

    周排名
  • 0

    月排名
  • 0

    总排名
  • 0

    关注
  • 3

    粉丝
  • 1

    好友
  • 18

    获赞
  • 8

    评论
  • 25

    访问数
关闭

站长推荐 上一条 /2 下一条

小黑屋| 关于我们| 联系我们| 在线咨询| 隐私声明| EETOP 创芯网
( 京ICP备:10050787号 京公网安备:11010502037710 )

GMT+8, 2024-4-25 10:00 , Processed in 0.015433 second(s), 7 queries , Gzip On, Redis On.

eetop公众号 创芯大讲堂 创芯人才网
返回顶部